読者です 読者をやめる 読者になる 読者になる

Ich lerne Ruby on Rails for Africa

Railsとアフリカとkintoneで苦戦するブログ

git動かしたら「Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.」と言われたら

メッセージ読めよ、みたいな話なのかもしれないけど、
プログラミングを始めたばかりの頃はそれが何を意味してるのかすら分からなく困ったのでメモ。

$ git status

Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.

と、突然いつもと違うメッセージが。

git動かす時にはXcodeが必要になっていて、Xcode利用規約が変わった時にその利用規約に同意していないと動かないというのがこの現象。

f:id:sugi511:20141013010852p:plain

つまり、Xcodeを動かしてやる必要があります。

なので、Finderとかアイコンダブルクリックして起動してあげると、利用規約が変更されたらから同意しろとウィンドウがポップアップしてくるのでそれをポチッと押すだけ。

これでgitが動くようになりました。

定期的に起こる気がするので、さくっと対応出来るように覚えておこう。